.TH GMTSET l "1 August 1995"
.SH NAME
gmtset \- To change individual \fBGMT\fP default parameters
.SH SYNOPSIS
\fBgmtset\fP PARAMETER1 \fIvalue1\fP PARAMETER2 \fIvalue2\fP PARAMETER3 \fIvalue3\fP ...
.SH DESCRIPTION
\fBgmtset\fP will adjust individual GMT defaults settings in the current directory's .gmtdefaults
file.  If no such file exists one will be created.  The main purpose of \fBgmtset\fP is to
temporarily change certain parameters inside a shellscript, e.g., set the dots-per-inch
to 600, run the script, and reset to 300 dpi.
.TP
PARAMETER \fIvalue\fP
Provide one or several pairs of parameter/value combinations that you want to modify.  For a
complete listing of available parameters and their meaning, see the \fBgmtdefaults\fP man page.
.SH EXAMPLES
To change the dpi to 600, set anotation font to Helvetica, and select a 14 point fontsize, try
.br
.sp
	gmtset DOTS_PR_INCH 600 ANOT_FONT Helvetica ANOT_FONT_SIZE 14
.br
.sp
.SH SEE ALSO
gmt, gmtdefaults
.SH REFERENCES
Wessel, P., and W. H. F. Smith, 1995, The Generic Mapping Tools (GMT) version 3.0 Technical Reference & Cookbook,
SOEST/NOAA.
.br
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans. AGU, 76, p. 329.
.br
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the American Geophysical Union.
.br
Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans. AGU, 72, p. 441.
.br
