.TH MAKECPT l "1 August 1995"
.SH NAME
makecpt \- Make GMT color palette tables
.SH SYNOPSIS
\fBmakecpt\fP \fB\-C\fP\fIcint_or_file\fP \fB\-S\fP\fInshades_or_file[c]\fP 
[ \fB\-M\fP\fImidval\fP [ \fB\-Z\fP ]
.SH DESCRIPTION
\fBmakecpt\fP is a utility that will help you make color palette tables (cpt files).  Optionally, you may define
equidistant contour intervals and create a grayramp or rainbow palette.
.TP
.B \-C
Name of a single-column contour interval file OR a positive number, the contour interval desired.
.TP
.B \-S
Name of a color table OR a positive number, the number of intervals desired.
Append a 'c' to create a rainbow color table [Default is gray ramp].
.SH OPTIONS
.sp
.TP
.B \-M
Sets the middle contour value.  Ignored if \fB\-C\fP is given a file name.
.TP
.B \-Z
Creates a continuous cpt file [Default is discontinuous, i.e. constant colors
for each interval].  Ignored if contour or color tables are specified.
.SH EXAMPLES
To convert the GMT v1.x style contours.d and colors.d tables into a cpt
file, try
.br
.sp
makecpt \fB\-C\fPcontours.d \fB\-S\fPcolors.d > colors.cpt
.br
.sp
To make an equidistant cpt file from z = -2 to 6, in steps of 1, using
continuous rainbow colors, try
.br
.sp
makecpt \fB\-C\fP1.0 \fB\-S\fP8c \fB\-M\fP2 \fB\-Z\fP > rainbow.cpt
.SH SEE ALSO
gmt, grd2cpt
.SH REFERENCES
Wessel, P., and W. H. F. Smith, 1995, The Generic Mapping Tools (GMT) version 3.0 Technical Reference & Cookbook,
SOEST/NOAA.
.br
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans. AGU, 76, p. 329.
.br
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the American Geophysical Union.
.br
Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans. AGU, 72, p. 441.
.br
