.TH MAPPROJECT l "1 August 1995"
.SH NAME
mapproject \- Forward and Inverse map transformation of 2-D coordinates 
.SH SYNOPSIS
\fBmapproject\fP \fIinfiles\fP \fB\-J\fP\fIparameters\fP \fB\-R\fP\fIwest/east/south/north\fP[\fIr\fP] 
[ \fB\-C\fP ] [ \fB\-F\fP[\fBk|m\fP] ] [ \fB\-H\fP ] [ \fB\-I\fP ] [ \fB\-M\fP[\fIflag\fP] ] [ \fB\-S\fP ] [ \fB\-V\fP ] [ \fB\-:\fP ]
.SH DESCRIPTION
\fBmapproject\fP reads (longitude, latitude) positions from \fIinfiles\fP [or standard input] and
computes (x,y) coordinates using the specified map projection and scales.
Optionally, it can read (x,y) positions and compute (longitude, latitude) values
doing the inverse transformation.  This can be used to transform linear (x,y) points
obtained by digitizing a map of known projection to geographical coordinates.
Additional data fields are permitted after the first 2 columns which must have (longitude,latitude) or (x,y).
See option \fB\-:\fP on how to read (latitude,longitude) files.
.br
	No space between the option flag and the associated arguments.  Use upper case for the
option flags and lower case for modifiers.
.TP
\fIinfiles\fP
Data file(s) to be transformed.  If not given, standard input is read.
.TP
.B \-J
Selects the map projection.  The following character determines the projection.  If the
character is upper case then the argument(s) supplied as scale(s) is interpreted to be
the map width (or axis lengths) in
inch, else the scale argument(s) is the map scale (see its definition for each projection).
Choose one of the following projections (The \fBE\fP or \fBC\fP after projection names stands for
Equal-Area and Conformal, respectively):
.br
.sp
\fBCYLINDRICAL PROJECTIONS:\fP
.br
.sp
\fB\-Jc\fP\fIlon0/lat0/scale\fP or \fB\-JC\fP\fIlon0/lat0/width\fP (Cassini)
.br
	Give projection center and scale (1:xxxx or inch/degree).
.br
\fB\-Jm\fP\fIscale\fP or \fB\-JM\fP\fIwidth\fP (Mercator \fB[C]\fP)
.br
	Give scale along equator (1:xxxx or inch/degree).
.br
\fB\-Jo\fP\fIparameters\fP (Oblique Mercator \fB[C]\fP).  Specify one of:
.br
	\fB\-Joa\fP\fIlon0/lat0/azimuth/scale\fP or \fB\-JOa\fP\fIlon0/lat0/azimuth/width\fP
.br
		Set projection center, azimuth of oblique equator, and scale.
.br
	\fB\-Job\fP\fIlon0/lat0/lon1/lat1/scale\fP or \fB\-JOb\fP\fIlon0/lat0/lon1/lat1/scale\fP
.br
		Set projection center, another point on the oblique equator, and scale.
.br
	\fB\-Joc\fP\fIlon0/lat0/lonp/latp/scale\fP or \fB\-JOc\fP\fIlon0/lat0/lonp/latp/scale\fP
.br
		Set projection center, pole of oblique projection, and scale.
.br
	Give scale along oblique equator (1:xxxx or inch/degree).
.br
\fB\-Jq\fP\fIlon0/scale\fP or \fB\-JQ\fP\fIlon0/width\fP (Equidistant Cylindrical Projection (Plate Carree))
.br
	Give the central meridian and scale (1:xxxx or inch/degree).
.br
\fB\-Jt\fP\fIlon0/scale\fP or \fB\-JT\fP\fIlon0/width\fP (TM - Transverse Mercator \fB[C]\fP)
.br
	Give the central meridian and scale (1:xxxx or inch/degree).
.br
\fB\-Ju\fP\fIzone/scale\fP or \fB\-JU\fP\fIzone/width\fP (UTM - Universal Transverse Mercator \fB[C]\fP)
.br
	Give the zone number and scale (1:xxxx or inch/degree).
.br
	Use negative zone numbers for the southern hemisphere.
.br
\fB\-Jy\fP\fIlon0/lats/scale\fP or \fB\-JY\fP\fIlon0/lats/width\fP (Basic Cylindrical Projections \fB[E]\fP)
.br
	Give the central meridian, standard parallel, and scale (1:xxxx or inch/degree).
.br
	The standard parallel is typically one of these (but can be any value):
.br
	45	- The Peters projection
.br
	37.4	- The Trystan Edwards projection
.br
	30	- The Behrman projection
.br
	0	- The Lambert projection
.br
.sp
\fBAZIMUTHAL PROJECTIONS:\fP
.br
.sp
\fB\-Ja\fP\fIlon0/lat0/scale\fP or \fB\-JA\fP\fIlon0/lat0/width\fP (Lambert \fB[E]\fP).
.br
	\fIlon0/lat0\fP specifies the projection center.
.br
	Give scale as 1:xxxx or \fIradius/lat\fP, where \fIradius\fP is distance
.br
	in inch from origin to the oblique latitude \fIlat\fP.
.br
\fB\-Je\fP\fIlon0/lat0/scale\fP or \fB\-JE\fP\fIlon0/lat0/width\fP (Equidistant).
.br
	\fIlon0/lat0\fP specifies the projection center.
.br
	Give scale as 1:xxxx or \fIradius/lat\fP, where \fIradius\fP is distance
.br
	in inch from origin to the oblique latitude \fIlat\fP.
.br
\fB\-Jg\fP\fIlon0/lat0/scale\fP or \fB\-JG\fP\fIlon0/lat0/width\fP (Orthographic).
.br
	\fIlon0/lat0\fP specifies the projection center.
.br
	Give scale as 1:xxxx or \fIradius/lat\fP, where \fIradius\fP is distance
.br
	in inch from origin to the oblique latitude \fIlat\fP.
.br
\fB\-Js\fP\fIlon0/lat0/scale\fP or \fB\-JS\fP\fIlon0/lat0/width\fP (General Stereographic \fB[C]\fP)
.br
	\fIlon0/lat0\fP specifies the projection center.
.br
	Give scale as 1:xxxx or \fIradius/lat\fP, where \fIradius\fP is distance
.br
	in inch from origin to the oblique latitude \fIlat\fP.
.br
.sp
\fBCONIC PROJECTIONS:\fP
.br
.sp
\fB\-Jb\fP\fIlon0/lat0/lat1/lat2/scale\fP or \fB\-JB\fP\fIlon0/lat0/lat1/lat2/width\fP (Albers \fB[E]\fP)
.br
	Give projection center, two standard parallels, and scale (1:xxxx or inch/degree).
.br
\fB\-Jl\fP\fIlon0/lat0/lat1/lat2/scale\fP or \fB\-JL\fP\fIlon0/lat0/lat1/lat2/width\fP (Lambert \fB[C]\fP)
.br
	Give origin, 2 standard parallels, and scale along these (1:xxxx or inch/degree).
.br
.sp
\fBMISCELLANEOUS PROJECTIONS:\fP
.br
.sp
\fB\-Jh\fP\fIlon0/scale\fP or \fB\-JH\fP\fIlon0/width\fP (Hammer \fB[E]\fP)
.br
	Give the central meridian and scale along equator (1:xxxx or inch/degree).
.br
\fB\-Ji\fP\fIlon0/scale\fP or \fB\-JI\fP\fIlon0/width\fP (Sinusoidal \fB[E]\fP)
.br
	Give the central meridian and scale along equator (1:xxxx or inch/degree).
.br
\fB\-Jk\fP\fIlon0/scale\fP or \fB\-JK\fP\fIlon0/width\fP (Eckert VI \fB[E]\fP)
.br
	Give the central meridian and scale along equator (1:xxxx or inch/degree).
.br
\fB\-Jn\fP\fIlon0/scale\fP or \fB\-JN\fP\fIlon0/width\fP (Robinson)
.br
	Give the central meridian and scale along equator (1:xxxx or inch/degree).
.br
\fB\-Jr\fP\fIlon0/scale\fP \fB\-JR\fP\fIlon0/width\fP (Winkel Tripel)
.br
	Give the central meridian and scale along equator (1:xxxx or inch/degree).
.br
\fB\-Jw\fP\fIlon0/scale\fP or \fB\-JW\fP\fIlon0/width\fP (Mollweide \fB[E]\fP)
.br
	Give the central meridian and scale along equator (1:xxxx or inch/degree).
.br
.sp
\fBNON-GEOGRAPHICAL PROJECTIONS:\fP
.br
.sp
\fB\-Jp\fP\fIscale\fP or \fB\-JP\fP\fIwidth\fP (Linear projection for polar (theta,r) coordinates)
.br
	Give scale in inch/r-unit.
.br
\fB\-Jx\fP\fIx-scale\fP[\fI/y-scale\fP] or \fB\-JX\fP\fIwidth\fP[\fI/height\fP]
.br
\fIscale\fP [or \fIwidth\fP] can be any of the following 3 types:
.br
	\fB\-Jx\fP\fIscale\fP		- Regular linear scaling.
.br
	\fB\-Jx\fP\fIscale\fP\fBl\fP	- Take log10 of values before scaling.
.br
	\fB\-Jx\fP\fIscale\fP\fBp\fP\fIpower\fP	- Raise values to \fIpower\fP before scaling.
.br
Give \fIx-scale\fP in inch/x-unit and \fIy-scale\fP in inch/y-unit.
(\fIy-scale\fP = \fIx-scale\fP if not specified separately).  Use negative
scale(s) to reverse the direction of an axis (e.g., to have y be positive down).
.br
.sp
Append 'd' if x and y are geographical coordinates in degrees.
Default axes lengths (see gmtdefaults) can be invoked
using \fB\-JXh\fP (for landscape); \fB\-JXv\fP (for portrait) will swap the x- and y-axes lengths.
The \fBGMT\fP default unit for this installation is inch.  However, you may
change this by editing your .gmtdefaults file(s) (run gmtdefaults to create one
if you don't have it).
.br
	The ellipsoid used in the map projections is user-definable by editing the .gmtdefaults file
in your home directory.  12 commonly used ellipsoids and a spheroid are currently
supported, and users may also specify their own ellipsoid parameters (see man gmtdefaults for more details).
\fBGMT\fP default is WGS-84.
.TP
.B \-R
\fIwest, east, south,\fP and \fInorth\fP specify the Region of interest.  To specify boundaries
in degrees and minutes [and seconds], use the dd:mm[:ss] format.  Append \fBr\fP if lower left and upper right
map coordinates are given instead of wesn.
.SH OPTIONS
.TP
\fIinfile(s)\fP
input file(s) with 2 or more columns. If no file(s) is given, mapproject will read standard input.
.TP
.B \-C
Set center of projected coordinates to be at map projection center [Default is lower left corner].
.TP
.B \-F
Force 1:1 scaling, i.e., input data is in actual projected meters.  Append \fBk\fP to get projected km,
or \fBm\fP to get miles.
.TP
.B \-H
Input file(s) has Header record(s).  Number of header records can be changed by editing
your \.gmtdefaults file.  If used, \fBGMT\fP default is 1 header record.
.TP
.B \-I
Do the Inverse transformation, i.e. get (longitude,latitude) from (x,y) data.
.TP
.B \-M
Multiple segment file.  Segments are separated by a record whose first character is \fI<flag>\fP.
[Default is '>'].
.TP
.B \-S
Suppress points that fall outside the region.
.TP
.B \-V
Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].
.TP
.B \-:
Toggles between (longitude,latitude) and (latitude,longitude) input/output.  [Default is (longitude,latitude)]
.SH EXAMPLES
To transform a file with (longitude,latitude) into (x,y) positions in inch on
a Mercator grid for a given scale, run
.br
.sp
mapproject lonlatfile \fB\-R\fP20/50/12/25 \fB\-Jm\fP0.25 > xyfile
.br
.sp
To transform several files with (latitude,longitude) into (x,y) positions in inch on
a Transverse Mercator grid (central longitude 75W) for scale = 1:500000 and suppress those points
that would fall outside the map area, run
.br
.sp
mapproject tracks.* \fB\-R\fP-80/-70/20/40 \fB\-Jt\fP-75/1:500000 \fB\-:\fP \fB\-S\fP > tmfile.xy
.br
.SH RESTRICTIONS
The rectangular input region set with \fB\-R\fP will in general be mapped into a
non-rectangular grid.  Unless \fB\-C\fP is set, the leftmost point on this grid has xvalue = 0.0, and the
lowermost point will have yvalue = 0.0. Thus, before you digitize a map, run the
extreme map coordinates through \fBmapproject\fP using the appropriate scale and see
what  (x,y) values they are mapped onto.  Use these values when setting up for
digitizing in order to have the inverse transformation work correctly, or alternatively,
use \fIawk\fP to scale and shift the (x,y) values before transforming.
.SH SEE ALSO
gmtdefaults, gmt, project
.SH REFERENCES
Wessel, P., and W. H. F. Smith, 1995, The Generic Mapping Tools (GMT) version 3.0 Technical Reference & Cookbook,
SOEST/NOAA.
.br
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans. AGU, 76, p. 329.
.br
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the American Geophysical Union.
.br
Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans. AGU, 72, p. 441.
.br
.br
.sp
Snyder, J. P., 1987, Map Projections \- A Working Manual, U.S. Geological Survey Prof. Paper 1395.
.br
