.TH PSMEGAPLOT l "1 August 1995"
.SH NAME
psmegaplot \- To create poster-size \fIPostScript\fP plots from page-size plot
.SH SYNOPSIS
\fBpsmegaplot\fP \fIplotfile\fP \fB\-S\fP\fIscale\fP [ \fB\-C\fP ]
.SH DESCRIPTION
\fBpsmegaplot\fP reads a \fIPostScript\fP file and 'blows it up' by an arbitrary scale. The result is several
plots that make up the pieces in a jigsaw puzzle. Cut and paste these pieces to make a 'megaplot'.
NB! Any rotation/translation/scaling performed at the top of the original \fIPostScript\fP file must be
reversed at the end of the file in order for psmegaplot to work. Also, there must be no
showpage command at the end of the file. (Run \fBGMT\fP programs with the \fB\-K\fP option)
.sp
.TP
\fIplotfile\fP
\fIPostScript\fP file as created by the GMT programs or by other means.
.TP
.B \-S
Multiply the x- and y-dimension by \fIscale\fP.  \fIscale\fP must be larger than 1.0.
.SH OPTIONS
No space between the option flag and the associated arguments.
.TP
.B \-C
Plot crop marks in each corner of every output page. [Default is no marks]
.SH EXAMPLES
To magnify a contour-map PostScript file 3 times, giving a total of 9 output pages to be pasted
together, try
.br
.sp
psmegaplot hawaii_contour.ps \fB\-S\fP3 \fB\-C\fP > hawaii_contour_megaplot.ps
.SH SEE ALSO
gmt, ps2ras
.SH REFERENCES
Wessel, P., and W. H. F. Smith, 1995, The Generic Mapping Tools (GMT) version 3.0 Technical Reference & Cookbook,
SOEST/NOAA.
.br
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans. AGU, 76, p. 329.
.br
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the American Geophysical Union.
.br
Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans. AGU, 72, p. 441.
.br
